<div mat-dialog-content>
  <p>Enter name of category</p>
  <mat-form-field>
    <input matInput [formControl]="categoryName" />
  </mat-form-field>
  <div
    *ngIf="categoryName.getError('required') && categoryName.touched"
    class="alert alert-danger"
  >
    Category Name cannot be empty
  </div>
  <div
    *ngIf="categoryName.getError('maxlength') && categoryName.touched"
    class="alert alert-danger"
  >
    Category Name length cannot be longer then 70 characters
  </div>
  
  <div
    *ngIf="categoryName.touched && categoryName.hasError('whitespace')"
    class="alert alert-danger"
  >
    Stop typing spaces instead of characters!!!
  </div>
</div>

<div mat-dialog-actions>
  <button mat-button (click)="onCloseClick()">Close</button>
  <button
    mat-button
    [disabled]="categoryName.invalid"
    [mat-dialog-close]="categoryName.value"
    cdkFocusInitial
  >
    Create
  </button>
</div>
